# Function ResolveByUuidResultFactory

- ResolveByUuidResultFactory<Entity>(transformer): ((entity) => ControlOption<any, string>)

- #### Type Parameters

  - Entity

  #### Parameters

  - transformer: ((entity) => ControlOption<any, string>)
    - - (entity): ControlOption<any, string>

      - #### Parameters

        - entity: Entity

        #### Returns ControlOption<any, string>

  #### Returns ((entity) => ControlOption<any, string>)

  - - (entity): ControlOption<any, string>

    - #### Parameters

      - entity: Entity

      #### Returns ControlOption<any, string>

  - Defined in packages/angular/form-system/src/lib/mixins/adapters.ts:11